import App from './App'


// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
App.mpType = 'app'
Vue.config.productionTip = false

import uView from 'uview-ui';
Vue.use(uView);


const app = new Vue({
	...App
})
app.$mount()
// #endif


// #ifdef VUE3
import { createApp } from 'vue'
import App from './App.vue'
import uView from 'uview-ui';
const app = createApp(App)
// 安装 uView
app.use(uView)

// 挂载多个全局方法
app.config.globalProperties.$toast = $toast
app.config.globalProperties.$modal = $modal
app.mount('#app')
// #endif

uni.$u.config.unit = 'rpx'